Bug 551907

Summary: [abrt] crash in thunderbird-3.0-4.fc12
Product: [Fedora] Fedora Reporter: dweb98
Component: thunderbirdAssignee: Jan Horak <jhorak>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: campbecg, gecko-bugs-nobody, mjak1234, ryan
Target Milestone: ---Keywords: Triaged
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: abrt_hash:2e30b57df8bd2fbfd8c88d0d24c1ccb0c6c10c0e
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-04 00:56:36 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
Re to, Bug 551907 - abrt crash in thunderbird 3_0-4_fc12 none

Description dweb98 2010-01-03 01:44:35 UTC
abrt 1.0.2 detected a crash.

How to reproduce
-----
1.Write a new e-mail
2.Hit the Save button
3.Hit the Spell Check button and crash

Comment: Write a new e-mail and Hit the Save button, then Hit the Spell Check button and crash.
Attached file: backtrace
cmdline: /usr/lib/thunderbird-3.0/thunderbird-bin
component: thunderbird
executable: /usr/lib/thunderbird-3.0/thunderbird-bin
kernel: 2.6.31.9-174.fc12.i686
package: thunderbird-3.0-4.fc12
rating: 4
reason: Process was terminated by signal 11 (Segmentation fault)

Comment 1 dweb98 2010-01-03 01:44:38 UTC
Created attachment 381338 [details]
File: backtrace

Comment 2 Chris Campbell 2010-01-03 03:38:53 UTC
#3  <signal handler called>
No symbol table info available.
#4  0x01ad22ef in NameAtom (this=<value optimized out>)
    at ../../../dist/include/content/nsINodeInfo.h:110
No locals.
#5  Tag (this=<value optimized out>)
    at ../../../dist/include/content/nsIContent.h:218
No locals.
#6  nsTextServicesDocument::IsBlockNode (this=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-1.9.1/mozilla/editor/txtsvc/src/nsTextServicesDocument.cpp:3095
        atom = <value optimized out>
#7  0x01ad3366 in nsTextServicesDocument::FirstTextNodeInNextBlock (
    aIterator=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-1.9.1/mozilla/editor/txtsvc/src/nsTextServicesDocument.cpp:4263
        content = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        prev = {<nsCOMPtr_base> = {mRawPtr = 0xa9d3a460}, <No data fields>}
        crossedBlockBoundary = 0
#8  0x01ad3436 in nsTextServicesDocument::GetFirstTextNodeInNextBlock (
    this=<value optimized out>, aContent=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-1.9.1/mozilla/editor/txtsvc/src/nsTextServicesDocument.cpp:4325
        result = <value optimized out>
        node = <value optimized out>
#9  0x01ad3e55 in nsTextServicesDocument::FirstBlock (
    this=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-1.9.1/mozilla/editor/txtsvc/src/nsTextServicesDocument.cpp:615
        result = <value optimized out>
#10 0x0047e860 in mozSpellChecker::SetupDoc (this=<value optimized out>, 
    outBlockOffset=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-1.9.1/mozilla/extensions/spellcheck/src/mozSpellChecker.cpp:430
        rv = <value optimized out>
        blockStatus = eBlockNotFound
        selOffset = <value optimized out>
        selLength = <value optimized out>
#11 0x0047fa7f in mozSpellChecker::NextMisspelledWord (
    this=<value optimized out>, aWord=<value optimized out>, 
    aSuggestions=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0/comm-1.9.1/mozilla/extensions/spellcheck/src/mozSpellChecker.cpp:95
        selOffset = <value optimized out>
        begin = <value optimized out>
        end = <value optimized out>
        isMisspelled = <value optimized out>
        done = <value optimized out>
        result = <value optimized out>
#12 0x07652c94 in nsEditorSpellCheck::GetNextMisspelledWord (




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 3 Chris Campbell 2010-01-03 03:50:00 UTC
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

First of all, could we get output of the command saved into a text file and uploaded into this bug as an attachment:

  $ rpm -qa *thunderbird* *mozilla* *plugin*

Please also install thunderbird-debuginfo.

  $ su -c 'debuginfo-install thunderbird'

Then run thunderbird inside the gdb debugger. Please do the following:

  $ thunderbird -g

Stuff will appear. Ignore this until you get the gdb command prompt, then do:

  (gdb) run

Now, thunderbird should start up. Use it and reproduce the crash. When thunderbird crashes, you should be back to the gdb prompt. Now do:

  (gdb) thread apply all backtrace

More screens of stuff will occur. Copy all of this part to your editor of choice, such as gedit, and save it as an uncompressed file and attach it to this bug report.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 dweb98 2010-01-05 03:01:14 UTC
Created attachment 381687 [details]
Re to, Bug 551907 - abrt crash in thunderbird 3_0-4_fc12

Ok, here ya go... Bug 551907 - abrt crash in thunderbird 3_0-4_fc12

Don

Comment 5 Chris Campbell 2010-01-06 19:29:44 UTC
Reporter, thank you both for the initial report, and for responding with the asked-for information in a timely fashion (or at all.)

jhorak, I'm assigning this to you, only because I see you on the majority of the Thunderbird bugs. Please reassign as necessary.

Setting keyword Triaged and status ASSIGNED (Fedora 12) per new triage policy.

This bug has been triaged



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 6 Chris Campbell 2010-02-04 02:52:37 UTC
*** Bug 560482 has been marked as a duplicate of this bug. ***

Comment 7 Karel Klíč 2010-05-25 08:57:16 UTC
*** Bug 591830 has been marked as a duplicate of this bug. ***

Comment 8 Bug Zapper 2010-11-04 02:00:09 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2010-12-04 00:56:36 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.